Genivia - wsdd__SecurityType Struct Reference

|  | Home | Documentation | wsdd__SecurityType Struct Reference updated Thu Mar 21 2024 by Robert van Engelen |

- Main Page
- Related Pages
- Classes
- Files

- Class List
- Class Members

Public Attributes | List of all members
wsdd__SecurityType Struct Reference

"http://docs.oasis-open.org/ws-dd/ns/discovery/2009/01":SecurityType is a complexType. More...

`#include <wsdd.h>`

Collaboration diagram for wsdd__SecurityType:
[legend]

## Public Attributes
struct wsdd__SigType * | Sig
| Element reference "http://docs.oasis-open.org/ws-dd/ns/discovery/2009/01:""http://docs.oasis-open.org/ws-dd/ns/discovery/2009/01":Sig. More...

## Detailed Description

"http://docs.oasis-open.org/ws-dd/ns/discovery/2009/01":SecurityType is a complexType.

struct wsdd__SecurityType operations:

- wsdd__SecurityType* soap_new_wsdd__SecurityType(struct soap*, int num) allocate and default initialize one or more values (array)
- soap_default_wsdd__SecurityType(struct soap*, wsdd__SecurityType*) default initialize members
- int soap_read_wsdd__SecurityType(struct soap*, wsdd__SecurityType*) deserialize from a source
- int soap_write_wsdd__SecurityType(struct soap*, wsdd__SecurityType*) serialize to a sink
- wsdd__SecurityType* soap_dup_wsdd__SecurityType(struct soap*, wsdd__SecurityType* dst, wsdd__SecurityType <em>src) returns deep copy of wsdd__SecurityType src into dst, copies the (cyclic) graph structure when a context is provided, or (cycle-pruned) tree structure with soap_set_mode(soap, SOAP_XML_TREE) (use soapcpp2 -Ec)
- soap_del_wsdd__SecurityType(wsdd__SecurityType) deep deletes wsdd__SecurityType data members, use only on dst after soap_dup_wsdd__SecurityType(NULL, wsdd__SecurityType *dst, wsdd__SecurityType *src) (use soapcpp2 -Ed)

## Member Data Documentation

struct wsdd__SigType* wsdd__SecurityType::Sig

Element reference "http://docs.oasis-open.org/ws-dd/ns/discovery/2009/01:""http://docs.oasis-open.org/ws-dd/ns/discovery/2009/01":Sig.

Optional element.

The documentation for this struct was generated from the following file:

- wsdd.h